/* apply a natural box layout model to all elements */
* {
  box-sizing: border-box;
}
*:after, *:before {
  box-sizing: border-box;
}
html, body, .all {
  width: 300px;
  height: 600px;
  overflow: hidden;
  margin: 0;
  padding: 0;
  margin: 0 auto;
}
body {
  font-family: "Roboto", arial, sans-serif;
  font-weight: 300;
  font-size: 16px;
  color: #454545;
  line-height: 1.9;

}
.container{
  position: relative;
  display: block;
  height: 600px;
  width: 300px;
  margin: 0 auto;
  background-image: url("../img/background.jpg");
  background-repeat: no-repeat;
}
.logo{
  position: absolute;
  top: 3%;
  left: 33%;
}
.score{
  position: absolute;
  top: 14%;
}
.nave{
  display: block;
    width: 70%;
    height: 67px;
    background: url("../img/nave.png") no-repeat 50% 50%;
    left: 0px;
    animation: delizar ease 3s infinite;
    top: 120px;
    position: absolute;
}

@keyframes delizar{
  0% {
     left:0%;
   }
   50% {
     left: 40%;
   }
   100% {
     left: 0%;
   }
 }

.img{
  width: 100%;
}
.frame-2{
  position: absolute;
  margin: 0 auto;
  z-index: 99999;
  top: 33%;
  left: 17%;
  width: 66%;
  display: none;
}
.img-frame{
  width: 100%;
}
.frame-3{
  position: absolute;
  margin: 0 auto;
  z-index: 99999;
  top: 33%;
  left: 17%;
  width: 66%;
  display: none;
}
.img-ctajuego{
  width: 100%;
}
.jugar{
  position: absolute;
  margin: 0 auto;
  z-index: 99999;
  top: 84%;
  left: 17%;
  width: 66%;
  display: none;
}
.frame-4{
  position: absolute;
  margin: 0 auto;
  top: 0%;
  display: none;
  background-color:#01080b;
  height: 100%;


}
.cta{
  width: 300px;
  height: 600px;
  position: absolute;
 
}
.img-frame4{
  width: 100%;
}
.all {
  position: relative;
  width: 100%;
  max-width: 960px;
  height: 100%;
  margin: auto;
}
.object {
  position: absolute;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
  -webkit-transform: translate3d(0, 0, 1px);
          transform: translate3d(0, 0, 1px);
  background-size: 100% 100%;
}
.alien {
  width: 60px;
  height: 45px;
  background-image: url("../space.gif");
}
/*
.invader {
  width: 180px;
  height: 135px;
  left: 50%;
  margin-left: -90px;
  bottom: 100%;
  background-image: url("../space.png");
}
*/
.defender {
  width: 40px !important;
  height: 40px !important;
  background-image: url("../nave.png");
}
.defender2 {
  width: 52px !important;
  height: 28px !important;
  background-image: url("../ball.png");
}
.spaceball {
  width: 9px;
  height: 9px;
  background-image: url("../ball.png");
}
.aliens {
  left: 0px;
  top: 0px;
  display: block;
  margin: 0;
  padding: 0;
  list-style: none;
}
.aliens ul {
  display: block;
  margin: 0;
  padding: 0;
  list-style: none;
}
.aliens .row {
  display: block;
  padding: 0;
  height: 30px;
  white-space: nowrap;
}
.aliens .row:last-child {
  margin-bottom: 0;
}
.aliens .col {
  position: relative;
  display: inline-block;
  padding: 0;
  width: 40px;
  height: 30px;
}
.aliens .col:last-child {
  margin-right: 0;
}
.alien {
  left: 0;
  top: 0;
  width: 40px;
  height: 30px;
}
.defender {
  left: 0px;
  bottom: 70px;
  z-index: 3;
  width: 40px;
  height: 22.4px;
}
.spaceball {
  left: 17px;
  bottom: 84px;
  z-index: 22;
  width: 16px;
  height: 16px;
}
.controls {
  position: relative;
  bottom: 0;
  width: 100%;
  height: 58px;
  max-width: 320px;
  margin: 0 auto;
  margin-top: 340px;
}
.controls > span {
  display: inline-block;
  height: 34px;
  border-radius: 356px;
  margin: 20px 0 0 6px;
  text-align: center;
  font-size: 18px;
  /*line-height: 30px;*/
  text-transform: uppercase;
  cursor: pointer;
  background-color: aqua;
  font-family: 'Press Start 2P', cursive;
  color: black;
}
.controls .left {
  width: 55px;
}
.controls .right {
  width: 55px;
}
.controls .space {
  width: 165px;
  font-family: 'Press Start 2P', cursive;
  color: black;
}
.space{

}
.win {
  left: 0;
  top: 40%;
  width: 100%;
  font-size: 48px;
  text-align: center;
  text-transform: uppercase;
  font-family: "Roboto Condensed", arial, sans-serif;
  font-weight: 300;
  line-height: 1;
  display: none;
}
.lose {
  left: 0;
  top: 50%;
  width: 100%;
  font-size: 48px;
  text-align: center;
  text-transform: uppercase;
  font-family: "Roboto Condensed", arial, sans-serif;
  font-weight: 300;
  line-height: 1;
  display: none;
}
.restart {
  left: 0;
  top: 70%;
  width: 100%;
  font-size: 28px;
  text-align: center;
  text-transform: uppercase;
  font-family: "Roboto Condensed", arial, sans-serif;
  font-weight: 300;
  line-height: 1;
  color: #DDDDDD;
  cursor: pointer;
  display: none;
}
.restart:hover {
  color: #FFFFFF;
}
.game {
  position: relative;
  width: 300px;
  height: 400px;
  overflow: hidden;
  margin: 0 auto;
  top: 180px;
}
.game.auto .restart, .game.auto .controls, .game.auto .start {
  display: none !important;
}
.game.auto .defender {
  bottom: 0;
}
.game.auto .spaceball {
  bottom: 24px;
}
.driverControls {
  position: absolute;
  right: 20px;
  top: 20px;
  width: 300px;
}
.driverControls .intro {
  font-family: "Roboto Condensed", arial, sans-serif;
  font-weight: 300;
  font-size: 20px;
  text-transform: uppercase;
}
.driverControls ul {
  list-style: circle;
}
.driverControls li {
  cursor: pointer;
}
.driverControls li:hover {
  color: #FFFFFF;
}
.driverControls .current {
  color: #DDDDDD;
  font-weight: 400;
}
.whatsapp {
    height: 87px;
    z-index: 99;
    position: absolute;
    width: 100%;
    margin-top: 129%;
}
@media screen and (max-width: 767px) {
  .all {
    padding-left: 0;
    padding-right: 0;
  }
  .driverControls {
    right: auto;
    top: 500px;
    left: 10px;
  }
}
@media screen and (max-width: 375px) {
  .img-frame4 {
   
}
  .whatsapp {
      margin-top: 139%;
    }
}
@media screen and (max-width: 320px) {
  .img-frame4 {
   
}
  .whatsapp {
      margin-top: 149%;
    }
}
